old version of PHP and MySQL

Problems with the Windows version of XAMPP, questions, comments, and anything related.

old version of PHP and MySQL

Postby aung » 03. October 2011 08:29

Hello,

I have old version of PHP (Version 5.2.6) and MySQL (5.0.51a) with Windows 2003 server and they are using for CMS, etc.. It is production server also.

Is it possible to install XAMPP for Windows in there?

Many thanks.
Aung
aung
 
Posts: 3
Joined: 03. October 2011 08:10

Re: old version of PHP and MySQL

Postby Altrea » 03. October 2011 11:41

XAMPP is not made for production environments.
Why do you want to replace the current production environment with anthing else (especially a preconfigured webserver stack)?
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8286
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: old version of PHP and MySQL

Postby JonB » 03. October 2011 16:32

@altrea -

I think the OP means - "could I also run XAMPP" ??

@aung

To which the answer is - "probably yes" BUT "you would have to change all the ports and the name of the MySQL service" for it to run at all.

So, realistically, it would only be usable as a local instance (probably OK for development or testing") but still problematic.

OVERALL - really really bad idea on a lot of levels.

This is MY opinion only...
:shock:
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
Operating System: Windows XP/7 - Fedora 15 1.7.7

Re: old version of PHP and MySQL

Postby aung » 04. October 2011 02:36

Altrea wrote:XAMPP is not made for production environments.
Why do you want to replace the current production environment with anthing else (especially a preconfigured webserver stack)?


Hello,

In fact, we want to install an open source online learning suite called "Dokeos" which requires specific version of Apache, MySql and PHP according to its installation instruction. Please see its pre-requisites below.

Thanks.
Aung
***************
1. Pre-requisites
Dokeos can be installed on Windows, Linux, Mac OS X and UNIX servers indifferently. However, we recommend the use of Linux server for optimal flexibility, remote control and scalability.

Dokeos is mainly a LMS running Apache 2, 2.0, MySQL 5.1 and PHP 5.3 (the so called AMP trilogy).

All these software are open source and freely available.

To run Dokeos LMS on your server, you need to install WAMP, LAMP or MAMP:
•To install WAMP (AMP on Windows), we recommend the XAMPP .exe installer•To install LAMP (AMP on Linux), use the Package manager of your favourite distribution (Synaptic, RPMFinder etc.). For instance, on a Ubuntu server, use Shell or Synaptic following the Ubuntuguide on Apache and the following sections
•To install MAMP (AMP on Mac OS X), refer to the MAMP dedicated website
***************
aung
 
Posts: 3
Joined: 03. October 2011 08:10

Re: old version of PHP and MySQL

Postby Sharley » 04. October 2011 03:09

All we can do on this forum is offer advice based on knowledge and experience. 8)

Whether you follow that advise or use that advice to adjust your thinking, is entirely your decision. :)


Your specs are governed by the MySQL requirement.

So please see this recent post for the version best suited to your MySQL requirement:
viewtopic.php?p=185894#p185894

Good luck. :)
User avatar
Sharley
AF Moderator
 
Posts: 3316
Joined: 03. October 2008 05:10
Location: Yeppoon, Australia Time Zone: GMT/UTC+10
Operating System: Win 7 Pro 32bit/XP Pro SP3


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 51 guests